日別予算
POST
/webhook-daily-budget
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-daily-budget';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"string","event":"string","action":"created","ids":[{"storeId":"1","year":"2020","month":"1"},{"storeId":"1","year":"2020","month":"2"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-daily-budget \ --header 'Content-Type: application/json' \ --data '{ "contractId": "string", "event": "string", "action": "created", "ids": [ { "storeId": "1", "year": "2020", "month": "1" }, { "storeId": "1", "year": "2020", "month": "2" } ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 pos:daily-budget
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
- created: 登録
- edited: 更新
- deleted: 削除
- bulk-update: 一括更新
string
ids
Array<object>
object
storeId
店舗ID
string
year
年
string
month
月
string
Example
{ "contractId": "string", "event": "string", "action": "created", "ids": [ { "storeId": "1", "year": "2020", "month": "1" }, { "storeId": "1", "year": "2020", "month": "2" } ]}